Bug 1265472 - Libfreenect depends on numpy but not in SPEC
Libfreenect depends on numpy but not in SPEC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libfreenect (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 23:07 EDT by Dennis Chen
Modified: 2015-10-07 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: libfreenect-0.5.2-5.fc22 libfreenect-0.5.2-5.fc23 libfreenect-0.5.2-5.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 02:20:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Chen 2015-09-22 23:07:38 EDT
Description of problem:
There is a dependency on the python bindings of libfreenect to numpy. This is not specified in the rpm spec file as a run-time dependency, but should be.

Version-Release number of selected component (if applicable):
0.5.2-2

How reproducible:
Reproducible with all cleanly installed Fedora systems and those without Numpy installed.

Steps to Reproduce:
1. Download and install libfreenect through dnf.
2. Open python shell
3. Run `import freenect`

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "__init__.pxd", line 155, in init freenect (/builddir/build/BUILD/libfreenect-b2043d02b66c9c59899bbf09cb1a13206e8fa10d/build/wrappers/python/freenect.c:10379)
ImportError: No module named numpy

Expected results:
No error.
Comment 1 Rich Mattes 2015-09-26 14:28:34 EDT
Thanks for the report!  I'm adding a requirement on numpy to the libfreenect-python package now.
Comment 2 Fedora Update System 2015-09-26 14:46:42 EDT
libfreenect-0.5.2-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c0b6719dbf
Comment 3 Fedora Update System 2015-09-26 15:10:51 EDT
libfreenect-0.5.2-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4563865363
Comment 4 Fedora Update System 2015-09-26 15:23:42 EDT
libfreenect-0.5.2-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-01b13c7592
Comment 5 Fedora Update System 2015-09-27 02:19:51 EDT
libfreenect-0.5.2-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libfreenect'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-01b13c7592
Comment 6 Fedora Update System 2015-09-27 02:50:35 EDT
libfreenect-0.5.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libfreenect'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4563865363
Comment 7 Fedora Update System 2015-09-27 03:22:55 EDT
libfreenect-0.5.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libfreenect'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c0b6719dbf
Comment 8 Fedora Update System 2015-10-07 02:20:20 EDT
libfreenect-0.5.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-07 12:36:11 EDT
libfreenect-0.5.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-07 19:48:12 EDT
libfreenect-0.5.2-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.